Subject: [TR] Stumped

From: [email-masked]
Date: Wed, 16 Mar 2016 20:08:36 +0000 (UTC)

Okay.  Taking the Triumph home from work two weeks ago, the generator began making a horrendous noise.  The charge light came on, but I got home (about 15 miles).

Ordered a new generator and the voltage regulator (the tested and adjusted one) from Moss.  Installed, and all tested fine. No charge light.  Then driving to work, about five miles in the voltmeter (not ammeter) stopped showing charge and the charge light came on with RPM's at 3k.  Turned around and came home.  Remembered this happened once because insufficient ground of the generator to engine strap, so put a ground from the generator to a ground point on the body.  Tested again, and charge light remained off at RPM's.  So drove to work this morning and again, about 5 miles out, the charge light came on, voltmeter showed no charge, so I brought it home again.  

Tonight, I checked that the belt was turning, and it was both at idle and RPM.  The charge light was off for about a minute, then came on again even at RPM.

I've checked and quadruple checked to see the proper wiring to the voltage regulator for a negative ground.  A1 is brown/blue; A is brown/white; F is yellow/green; D is yellow (both wires); and E is black (both wires).  

I can't remember if I remembered to polarize the generator when I first installed the new one.  Would that cause the issue?  Or might I have gotten a bad voltage regulator?

What test should I do?

Stumped in New Hampshire,
Terry Smith, TR3A TS 58667

** [email-masked] **

Archive: http://www.team.net/archive